מחוברים עכשיו  

/v1/bid/

Manages all bid related functions
GET

/v1/bid/get_feedback_suggestions

#
Get up to five of the acting concierge's previously submitted custom feedback responses.

פרמטרים

שםסוגחובהברירת מחדלתיאור
search string לא "" optional literal text to match.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/bid/get_feedback_suggestions' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'search={{search}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$bid_get_feedback_suggestions_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadarray כן
$.oneOf[0].allOf[1].Payload[]object לא
$.oneOf[0].allOf[1].Payload[].textstring כן
$.oneOf[0].allOf[1].Payload[].lastUsedstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_feedback_suggestions",
    "RequestUserAlias": "example-user",
    "Payload": []
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/bid/get_list

#
Returns available bids without a publication delay, subject to access restrictions.

פרמטרים

שםסוגחובהברירת מחדלתיאור
creatorUserAlias string לא "" Alias of user who created the bids, if empty all bids will be returned
locationAlias string לא "" locationAlias if this item is a bid. Slug found after the slash when opening a location in the portal
pageSize int לא 5000 Defines how many results will be return per request
pageNumber int לא 0 Defines which page should be returned
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/bid/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'creatorUserAlias={{creatorUserAlias}}' \
  --data-urlencode 'locationAlias={{locationAlias}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$bid_get_list_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" כן
$.oneOf[0].allOf[1].Payload.ResponseBodyobject כן
$.oneOf[0].allOf[1].Payload.ResponseBody.Name = "All Active Bids" כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationobject כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.NumberBidsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.VolumeActiveBidsnumber כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.Descriptionstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidUUIDstring | null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatedDatestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremiumDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremium.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremium.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidStartTimestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidEndTimestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatusobject כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.statusstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.labelstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.messagestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorAliasstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorChatLinkstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorStatusstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.moveOwnershipUnavailableReasonstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.moveOwnershipUnavailableMessagestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canPickupboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canDropboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canFillboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canMoveOwnershipboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canShortlistboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canDiscussboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canChatboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.requiresSponsorboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canFillDirectlyboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.fillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.minimumFillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.missingHoldPermissionsarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.missingHoldPermissions[]string לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.directFillNoticeboolean לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auctionURLstring לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auctionobject לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.venuestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.startTimestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.endTimestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.bidAmountCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.statestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.enabledboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.openingCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.incrementCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.leadingCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.nextCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.estimatedFeesCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.remainingCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.leadingboolean כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.priorityUntilnull כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.priorityMine = false כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffersarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[]object לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].idinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].statestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].refundCentsinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.poolRequiredboolean לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0]object לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].roundIDinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].statestring ["collecting","immediate"] כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].closesAtinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "All Active Bids",
            "MetaInformation": {
                "NumberBids": 0,
                "VolumeActiveBids": 0,
                "Description": "synthetic-example"
            },
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/bid/get_pickup_requirements

#
Returns the seller pickup state and confirmation data for one bid.

פרמטרים

שםסוגחובהברירת מחדלתיאור
bidID int כן — numeric bid ID
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/bid/get_pickup_requirements' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'bidID={{bidID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$bid_get_pickup_requirements_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.bidobject כן
$.oneOf[0].allOf[1].Payload.bid.requestModestring ["general","specific"] כן
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry כן
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptionsarray כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[]object לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ATLocation_IDinteger כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ATLocationInventoryType_IDinteger כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].TimeRangeUnitCountinteger כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Quantityinteger כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].LocationNamestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].LocationAliasstring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].InventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].StartDatestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].EndDatestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].StartTimestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].EndTimestring כן
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize.anyOf[0]integer לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate.anyOf[0]string לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Constraintsarray לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Constraints[]string לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ExcludedVenuesarray לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ExcludedVenues[]string לא
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].OperationalProjectionboolean לאTrue for a general request’s operational concierge anchor; these dates/location are not resolved fulfillment facts.
$.oneOf[0].allOf[1].Payload.bid.deliverableTypestring ["fulfillment","research"] כן
$.oneOf[0].allOf[1].Payload.bid.researchScope כן
$.oneOf[0].allOf[1].Payload.bid.researchScope.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.bid.researchScope.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.amountinteger כן
$.oneOf[0].allOf[1].Payload.bid.buyerUserIDinteger | null כן
$.oneOf[0].allOf[1].Payload.bid.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.discussionPostIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.bidUUIDstring כן
$.oneOf[0].allOf[1].Payload.bid.createdDatestring כן
$.oneOf[0].allOf[1].Payload.bid.currentHolderLastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.bid.amountFormattedstring כן
$.oneOf[0].allOf[1].Payload.bid.directHireTargetLabelstring כן
$.oneOf[0].allOf[1].Payload.bid.locationAliasstring כן
$.oneOf[0].allOf[1].Payload.bid.locationNamestring כן
$.oneOf[0].allOf[1].Payload.bid.locationAddressstring כן
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.bid.customRequeststring כן
$.oneOf[0].allOf[1].Payload.bid.startTimestring כן
$.oneOf[0].allOf[1].Payload.bid.endTimestring כן
$.oneOf[0].allOf[1].Payload.bid.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.bid.buyerAliasstring | null כן
$.oneOf[0].allOf[1].Payload.bid.currentHolderAliasstring כן
$.oneOf[0].allOf[1].Payload.bid.submissionURLstring כן
$.oneOf[0].allOf[1].Payload.bid.appointmentUUIDstring כן
$.oneOf[0].allOf[1].Payload.bid.appointmentStatusstring כן
$.oneOf[0].allOf[1].Payload.bid.respondByTimestring כן
$.oneOf[0].allOf[1].Payload.bid.respondByLabelstring כן
$.oneOf[0].allOf[1].Payload.bid.fillURLstring כן
$.oneOf[0].allOf[1].Payload.bid.fillListingURLstring כן
$.oneOf[0].allOf[1].Payload.bid.discussionURLstring כן
$.oneOf[0].allOf[1].Payload.bid.privateChatUserAliasstring | null כן
$.oneOf[0].allOf[1].Payload.bid.privateChatNamestring | null כן
$.oneOf[0].allOf[1].Payload.bid.notestring כן
$.oneOf[0].allOf[1].Payload.bid.isPremiumboolean כן
$.oneOf[0].allOf[1].Payload.bid.isShortlistedboolean כן
$.oneOf[0].allOf[1].Payload.bid.isDirectHireboolean כן
$.oneOf[0].allOf[1].Payload.bid.isCustomConciergeRequestboolean כן
$.oneOf[0].allOf[1].Payload.bid.locationHasRegulationRestrictionsboolean כן
$.oneOf[0].allOf[1].Payload.bid.submissionRejectedByReviewerboolean כן
$.oneOf[0].allOf[1].Payload.bid.directHireTargetsarray כן
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[]object לא
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[].userIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[].aliasstring כן
$.oneOf[0].allOf[1].Payload.bid.locationID כן
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[1] = "" כן
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID כן
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[1] = "" כן
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID כן
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID.anyOf[1] = "" כן
$.oneOf[0].allOf[1].Payload.bid.submissionLifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] כן
$.oneOf[0].allOf[1].Payload.bid.submittedAt כן
$.oneOf[0].allOf[1].Payload.bid.submittedAt.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.bid.submittedAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposalTokenstring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].chatURLstring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].actionButtonIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].createdDatestring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedLocationNamestring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedInventoryTypeNamestring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].summarystring כן
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.viewsobject כן
$.oneOf[0].allOf[1].Payload.bid.views.24HoursDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.views.24Hours.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.views.24Hours.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.views.AlltimeDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.views.Alltime.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.views.Alltime.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.actionStateobject כן
$.oneOf[0].allOf[1].Payload.bid.actionState.statusstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.labelstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.messagestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorAliasstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorChatLinkstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorStatusstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.moveOwnershipUnavailableReasonstring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.moveOwnershipUnavailableMessagestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canPickupboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canDropboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canFillboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canMoveOwnershipboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canShortlistboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canDiscussboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canChatboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.requiresSponsorboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.canFillDirectlyboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.fillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.minimumFillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.missingHoldPermissionsarray כן
$.oneOf[0].allOf[1].Payload.bid.actionState.missingHoldPermissions[]string לא
$.oneOf[0].allOf[1].Payload.bid.actionState.directFillNoticeboolean לא
$.oneOf[0].allOf[1].Payload.bid.actionState.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] לא
$.oneOf[0].allOf[1].Payload.bid.actionState.auctionURLstring לא
$.oneOf[0].allOf[1].Payload.bid.actionState.auctionobject לא
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.venuestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.startTimestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.endTimestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.bidAmountCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.statestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.enabledboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.openingCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.incrementCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.leadingCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.nextCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.estimatedFeesCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.remainingCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.leadingboolean כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.priorityUntilnull כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.priorityMine = false כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffersarray כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[]object לא
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].idinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].statestring כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].refundCentsinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.bid.actionState.poolRequiredboolean לא
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound לא
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0]object לא
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].roundIDinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].statestring ["collecting","immediate"] כן
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].closesAtinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.bid.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.bid.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.actionStateobject כן
$.oneOf[0].allOf[1].Payload.actionState.statusstring כן
$.oneOf[0].allOf[1].Payload.actionState.labelstring כן
$.oneOf[0].allOf[1].Payload.actionState.messagestring כן
$.oneOf[0].allOf[1].Payload.actionState.sponsorAliasstring כן
$.oneOf[0].allOf[1].Payload.actionState.sponsorChatLinkstring כן
$.oneOf[0].allOf[1].Payload.actionState.sponsorStatusstring כן
$.oneOf[0].allOf[1].Payload.actionState.moveOwnershipUnavailableReasonstring כן
$.oneOf[0].allOf[1].Payload.actionState.moveOwnershipUnavailableMessagestring כן
$.oneOf[0].allOf[1].Payload.actionState.canPickupboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canDropboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canFillboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canMoveOwnershipboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canShortlistboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canDiscussboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canChatboolean כן
$.oneOf[0].allOf[1].Payload.actionState.requiresSponsorboolean כן
$.oneOf[0].allOf[1].Payload.actionState.canFillDirectlyboolean כן
$.oneOf[0].allOf[1].Payload.actionState.fillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.minimumFillRateBasisPointsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.missingHoldPermissionsarray כן
$.oneOf[0].allOf[1].Payload.actionState.missingHoldPermissions[]string לא
$.oneOf[0].allOf[1].Payload.actionState.directFillNoticeboolean לא
$.oneOf[0].allOf[1].Payload.actionState.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] לא
$.oneOf[0].allOf[1].Payload.actionState.auctionURLstring לא
$.oneOf[0].allOf[1].Payload.actionState.auctionobject לא
$.oneOf[0].allOf[1].Payload.actionState.auction.venuestring כן
$.oneOf[0].allOf[1].Payload.actionState.auction.startTimestring כן
$.oneOf[0].allOf[1].Payload.actionState.auction.endTimestring כן
$.oneOf[0].allOf[1].Payload.actionState.auction.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.bidAmountCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID כן
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actionState.auction.statestring כן
$.oneOf[0].allOf[1].Payload.actionState.auction.serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt כן
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actionState.auction.enabledboolean כן
$.oneOf[0].allOf[1].Payload.actionState.auction.openingCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.incrementCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.leadingCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.nextCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.estimatedFeesCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.remainingCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.leadingboolean כן
$.oneOf[0].allOf[1].Payload.actionState.auction.priorityUntilnull כן
$.oneOf[0].allOf[1].Payload.actionState.auction.priorityMine = false כן
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffersarray כן
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[]object לא
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].idinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].statestring כן
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].refundCentsinteger כן
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError כן
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID כן
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actionState.auction.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.actionState.auction.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.actionState.poolRequiredboolean לא
$.oneOf[0].allOf[1].Payload.actionState.responseRound לא
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0]object לא
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].roundIDinteger כן
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].statestring ["collecting","immediate"] כן
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].closesAtinteger כן
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].serverTimeinteger כן
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[1]null לא
$.oneOf[0].allOf[1].Payload.maxHoldDays כן
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0]DatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0].oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[1]boolean כן
$.oneOf[0].allOf[1].Payload.maxCurrentHolds כן
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[1]boolean כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_pickup_requirements",
    "RequestUserAlias": "example-user",
    "Payload": {
        "bid": {
            "requestMode": "general",
            "operationalExpiry": "synthetic-example",
            "acceptedOptions": [],
            "deliverableType": "fulfillment",
            "researchScope": "synthetic-example",
            "bidID": 0,
            "amount": 0,
            "buyerUserID": 0,
            "appointmentID": 0,
            "discussionPostID": 0,
            "bidUUID": "synthetic-example",
            "createdDate": "synthetic-example",
            "currentHolderLastUpdateDate": "synthetic-example",
            "amountFormatted": "synthetic-example",
            "directHireTargetLabel": "synthetic-example",
            "locationAlias": "synthetic-example",
            "locationName": "synthetic-example",
            "locationAddress": "synthetic-example",
            "inventoryTypeName": "synthetic-example",
            "customRequest": "synthetic-example",
            "startTime": "synthetic-example",
            "endTime": "synthetic-example",
            "timeLabel": "synthetic-example",
            "buyerAlias": "synthetic-example",
            "currentHolderAlias": "synthetic-example",
            "submissionURL": "synthetic-example",
            "appointmentUUID": "synthetic-example",
            "appointmentStatus": "synthetic-example",
            "respondByTime": "synthetic-example",
            "respondByLabel": "synthetic-example",
            "fillURL": "synthetic-example",
            "fillListingURL": "synthetic-example",
            "discussionURL": "synthetic-example",
            "privateChatUserAlias": "synthetic-example",
            "privateChatName": "synthetic-example",
            "note": "synthetic-example",
            "isPremium": false,
            "isShortlisted": false,
            "isDirectHire": false,
            "isCustomConciergeRequest": false,
            "locationHasRegulationRestrictions": false,
            "submissionRejectedByReviewer": false,
            "directHireTargets": [],
            "locationID": 0,
            "inventoryTypeID": 0,
            "currentHolderUserID": 0,
            "submissionLifecycle": "held",
            "submittedAt": "synthetic-example",
            "pendingChangeProposal": {
                "proposalToken": "synthetic-example",
                "chatID": 0,
                "chatURL": "synthetic-example",
                "actionButtonID": 0,
                "createdDate": "synthetic-example",
                "proposedLocationName": "synthetic-example",
                "proposedTimeLabel": "synthetic-example",
                "proposedInventoryTypeName": "synthetic-example",
                "summary": "synthetic-example"
            },
            "views": {
                "24Hours": 0,
                "Alltime": 0
            },
            "actionState": {
                "status": "synthetic-example",
                "label": "synthetic-example",
                "message": "synthetic-example",
                "sponsorAlias": "synthetic-example",
                "sponsorChatLink": "synthetic-example",
                "sponsorStatus": "synthetic-example",
                "moveOwnershipUnavailableReason": "synthetic-example",
                "moveOwnershipUnavailableMessage": "synthetic-example",
                "canPickup": false,
                "canDrop": false,
                "canFill": false,
                "canMoveOwnership": false,
                "canShortlist": false,
                "canDiscuss": false,
                "canChat": false,
                "requiresSponsor": false,
                "canFillDirectly": false,
                "fillRateBasisPoints": 0,
                "minimumFillRateBasisPoints": 0,
                "missingHoldPermissions": []
            }
        },
        "actionState": {
            "status": "synthetic-example",
            "label": "synthetic-example",
            "message": "synthetic-example",
            "sponsorAlias": "synthetic-example",
            "sponsorChatLink": "synthetic-example",
            "sponsorStatus": "synthetic-example",
            "moveOwnershipUnavailableReason": "synthetic-example",
            "moveOwnershipUnavailableMessage": "synthetic-example",
            "canPickup": false,
            "canDrop": false,
            "canFill": false,
            "canMoveOwnership": false,
            "canShortlist": false,
            "canDiscuss": false,
            "canChat": false,
            "requiresSponsor": false,
            "canFillDirectly": false,
            "fillRateBasisPoints": 0,
            "minimumFillRateBasisPoints": 0,
            "missingHoldPermissions": []
        },
        "maxHoldDays": 0,
        "maxCurrentHolds": 0
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/bid/get_required_feedback

#
Returns active notified bids the acting seller is eligible to pick up at their currently followed locations. An empty array clears prior requests.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/bid/get_required_feedback' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$bid_get_required_feedback_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadarray כן
$.oneOf[0].allOf[1].Payload[]object לא
$.oneOf[0].allOf[1].Payload[].ATLocation_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATLocation_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].ATLocation_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].FeedbackLocationNamestring כן
$.oneOf[0].allOf[1].Payload[].ATLocation_Aliasstring כן
$.oneOf[0].allOf[1].Payload[].ATLocation_Namestring כן
$.oneOf[0].allOf[1].Payload[].ATBids_AmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_Amount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].ATBids_Amount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].StartTimestring כן
$.oneOf[0].allOf[1].Payload[].EndTimestring כן
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name כן
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload[].RequestString כן
$.oneOf[0].allOf[1].Payload[].RequestString.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload[].RequestString.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID כן
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload[].BidUUIDstring | null כן
$.oneOf[0].allOf[1].Payload[].ATBids_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].ATBids_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremiumDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremium.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremium.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload[].buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_required_feedback",
    "RequestUserAlias": "example-user",
    "Payload": []
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/bid/get_submission

#
Returns the acting submitter's private bid confirmation or immutable completed receipt.

פרמטרים

שםסוגחובהברירת מחדלתיאור
bidID int כן — Bid ID.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/bid/get_submission' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'bidID={{bidID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$bid_get_submission_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload כן
$.oneOf[0].allOf[1].Payload.oneOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true לא
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status.anyOf[0]string ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status.anyOf[1] = "" כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submissionobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.bidUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.revisionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.statusstring ["Draft","Submitted","In Review","Rejected","CONFIRMATION_REQUIRED","COMPLETED","CLOSED"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.canCorrectboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.lifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.rejectedByReviewerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.canSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.historyarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].reviewerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionTextstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translationobject לא
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.contextstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.endpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.sourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.targetLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.receiverLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.targetLanguageNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.sourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.bodystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.originalTitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.originalBodystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.reviewHistoryIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.notificationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.statestring ["done","eligible"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.eligibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.cachedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.historicalDetailsUnavailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.oneOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "submission-receipt" כן
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].accessobject כן
$.oneOf[0].allOf[1].Payload.oneOf[1].access.role = "submission" כן
$.oneOf[0].allOf[1].Payload.oneOf[1].access.readOnly = true כן
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationarray כן
$.oneOf[0].allOf[1].Payload.oneOf[1].actionsarray כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submissionobject כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.bidUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.revisionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.statusstring ["Draft","Submitted","In Review","Rejected","CONFIRMATION_REQUIRED","COMPLETED","CLOSED"] כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.canCorrectboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.lifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.rejectedByReviewerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.canSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.historyarray כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].reviewerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionTextstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translationobject לא
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.contextstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.endpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.sourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.targetLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.receiverLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.targetLanguageNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.sourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.bodystring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.originalTitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.originalBodystring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.reviewHistoryIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.notificationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.statestring ["done","eligible"] כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.eligibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.cachedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.historicalDetailsUnavailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_submission",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        },
        "submission": {
            "bidID": 0,
            "appointmentID": 0,
            "bidUUID": "synthetic-example",
            "listingUUID": "synthetic-example",
            "revision": "synthetic-example",
            "status": "Draft",
            "submittedAt": "synthetic-example",
            "canCorrect": false,
            "correctionError": "synthetic-example",
            "lifecycle": "held",
            "rejectedByReviewer": false,
            "canSelfReview": false,
            "history": [],
            "historicalDetailsUnavailable": false
        }
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/bid/set

#
Places a bid Please note that users are required to hold the API Developer medal to access automated buying. A minimum balance of $50 per automatically purchased listings that have not passed by at least 72 hours is required to cover for no-show refunds. Example: If 100 listings for the next 30 days have been purchased the users main account must reflect an available balance (which can be a combination of credit limit and balance) of at least $5,000 to cover for no show refunds. use the associated account workflow to programatically fund your account

פרמטרים

שםסוגחובהברירת מחדלתיאור
fundingAccountID int כן — ID of the account that will fund the bid, accountIDs can be found in /v1/account/get_list
returnToAccountID int כן — ID of the account that a bid amount shall be returned to if it is cancelled. If 0 it will be returned to the users Main Account. accountIDs can be found in /v1/account/get_list
bidAmount int כן — bid amount in smallest currency unit
[...]
